## class SG_EXPORT osg::FrameStamp

> Class which encapsulates the frame number, reference time and calander time of specific frame, used to synchonize operations on the scene graph and other machines when using a graphics cluster.

## Inheritance:

### Public Methods

FrameStamp()
FrameStamp(const FrameStamp& fs)
FrameStamp& operator = (const FrameStamp& fs)
void setFrameNumber(int fnum)
int getFrameNumber() const
void setReferenceTime(double refTime)
double getReferenceTime() const
void setCalendarTime(const tm& calendarTime)
void getCalendarTime(tm& calendarTime) const
virtual ~FrameStamp()

### Protected Fields

int _frameNumber
double _referenceTime
int tm_sec
int tm_min
int tm_hour
int tm_mday
int tm_mon
int tm_year
int tm_wday
int tm_yday
int tm_isdst

### Inherited from Referenced:

### Public Methods

static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> Class which encapsulates the frame number, reference time and calander time of specific frame, used to synchonize operations on the scene graph and other machines when using a graphics cluster. Note the calander time can be an artificial simulation time or capture the real time of day etc.

`FrameStamp()`

`FrameStamp(const FrameStamp& fs)`

`FrameStamp& operator = (const FrameStamp& fs)`

`void setFrameNumber(int fnum)`

`int getFrameNumber() const`

`void setReferenceTime(double refTime)`

`double getReferenceTime() const`

`void setCalendarTime(const tm& calendarTime)`

`void getCalendarTime(tm& calendarTime) const`

`virtual ~FrameStamp()`

`int _frameNumber`

`double _referenceTime`

`int tm_sec`

`int tm_min`

`int tm_hour`

`int tm_mday`

`int tm_mon`

`int tm_year`

`int tm_wday`

`int tm_yday`

`int tm_isdst`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.